
QGIS Application - Bug report #20904

"Clip raster by mask layer" not working in LTR 2.18.26 or LTR 2.18.27

2019-01-02 07:43 AM - Sarah Goodbrand

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.18.26 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 28723

Description

"Clip raster by mask layer" was successfully working in LTR 2.18.26 on 31/12/2018. However it stopped working on 01/01/2019. In an

effort to resolve the issue, I downloaded LTR 2.18.27, however "clip raster by mask layer" still does not work in the newer version.

The issue is that "clip rast by mask layer" only clips a portion of the mask layer. In addition the clipped portion does not pull across the

values from the input raster file.

History

#1 - 2019-01-02 11:31 AM - Saber Razmjooei

- Category changed from Rasters to Processing/GDAL

#2 - 2019-01-02 04:25 PM - Giovanni Manghi

- Status changed from Open to Feedback

Just tested on 2.18.27 and Windows 7, and works fine here. Your sample project is not usable (missing data).

Please try with a new/clean profile.

#3 - 2019-01-03 06:45 AM - Sarah Goodbrand

- Assignee set to Giovanni Manghi

- File QGIS Bug.zip added

Sarah Goodbrand wrote:

"Clip raster by mask layer" was successfully working in LTR 2.18.26 on 31/12/2018. However it stopped working on 01/01/2019. In an effort to

resolve the issue, I downloaded LTR 2.18.27, however "clip raster by mask layer" still does not work in the newer version.

The issue is that "clip rast by mask layer" only clips a portion of the mask layer. In addition the clipped portion does not pull across the values from

the input raster file.

Thanks Giovanni. I updated the file to include the missing data. Please let me know if it works for you with the updated files?

#4 - 2019-01-07 09:41 AM - Giovanni Manghi
Sarah Goodbrand wrote:

Sarah Goodbrand wrote:

"Clip raster by mask layer" was successfully working in LTR 2.18.26 on 31/12/2018. However it stopped working on 01/01/2019. In an effort to

resolve the issue, I downloaded LTR 2.18.27, however "clip raster by mask layer" still does not work in the newer version.

The issue is that "clip rast by mask layer" only clips a portion of the mask layer. In addition the clipped portion does not pull across the values from

the input raster file.

Thanks Giovanni. I updated the file to include the missing data. Please let me know if it works for you with the updated files?

there are still missing files: in you zip there are PNG files, but the project is looking for TIFs.

#5 - 2019-01-20 10:25 PM - Nyall Dawson

Please test with 3.4 - 2.18 is no longer supported

#6 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-01-24 07:25 PM - Alexander Bruy

- Resolution set to wontfix

- Status changed from Feedback to Closed

2.18 reached it's end of life. Tool works fine in 3.4 and master

Files

QGIS Bug.zip 582 KB 2019-01-02 Sarah Goodbrand

QGIS Bug.zip 584 KB 2019-01-03 Sarah Goodbrand
